petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPGetOptionsPrefix

Gets the prefix used for searching for all KSP options in the database.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetOptionsPrefix(KSP ksp,const char *prefix[])

Not Collective

### Input Parameters

ksp -the Krylov context

### Output Parameters

prefix -pointer to the prefix string used is returned

Notes: On the fortran side, the user should pass in a string 'prifix' of sufficient length to hold the prefix.

### Keywords

KSP, set, options, prefix, database

### See Also

KSPSetOptionsPrefix(), KSPAppendOptionsPrefix()

Level:advanced
Location:src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages